%define upstream_name    Test-Inter
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Framework for more readable interactive test scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is another framework for writing test scripts. It is loosely inspired
by Test::More, and has most of it's functionality, but it is not a drop-in
replacement.

Test::More (and other existing test frameworks) suffer from two weaknesses,
both of which have prevented me from ever using them:

   None offer the ability to access specific tests in
   a reasonably interactive fashion

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-3.mga6
+ Revision: 1034303
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.60.0-2.mga6
+ Revision: 967155
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.60.0-1.mga6
+ Revision: 848199
- update to 1.06

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 744817
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 686464
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 527402
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.50.0-1.mga4
+ Revision: 439957
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 373567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 1.30.0-1.mga2
+ Revision: 116429
- update to 1.03

* Mon Jun 27 2011 jquelin <jquelin> 1.20.0-1.mga2
+ Revision: 114499
- update to 1.02

* Tue Jan 18 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 22901
- cleaning spec file
- imported package perl-Test-Inter

